aagc.vo

## Class FarmacoErogatoRegistraPrescrizioniFarmaceuticheErogate

- java.lang.Object
- - aagc.vo.FarmacoErogatoRegistraPrescrizioniFarmaceuticheErogate

-     public class FarmacoErogatoRegistraPrescrizioniFarmaceuticheErogate
      extends java.lang.Object

  Classe Java per farmacoErogatoRegistraPrescrizioniFarmaceuticheErogate complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="farmacoErogatoRegistraPrescrizioniFarmaceuticheErogate">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codMinisteriale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="10"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numLotto" type="{http://www.w3.org/2001/XMLSchema}long"/>
               <element name="codNota" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="flagSostituito">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="(0|1)?"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codMinisteriale`
    `protected java.lang.String` | `codNota`
    `protected int` | `flagSostituito`
    `protected long` | `numLotto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FarmacoErogatoRegistraPrescrizioniFarmaceuticheErogate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodMinisteriale()` Recupera il valore della proprietà codMinisteriale.
    `java.lang.String` | `getCodNota()` Recupera il valore della proprietà codNota.
    `int` | `getFlagSostituito()` Recupera il valore della proprietà flagSostituito.
    `long` | `getNumLotto()` Recupera il valore della proprietà numLotto.
    `void` | `setCodMinisteriale(java.lang.String value)` Imposta il valore della proprietà codMinisteriale.
    `void` | `setCodNota(java.lang.String value)` Imposta il valore della proprietà codNota.
    `void` | `setFlagSostituito(int value)` Imposta il valore della proprietà flagSostituito.
    `void` | `setNumLotto(long value)` Imposta il valore della proprietà numLotto.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codMinisteriale

          protected java.lang.String codMinisteriale

    - #### numLotto

          protected long numLotto

    - #### codNota

          protected java.lang.String codNota

    - #### flagSostituito

          protected int flagSostituito

  - ### Constructor Detail

    - #### FarmacoErogatoRegistraPrescrizioniFarmaceuticheErogate

          public FarmacoErogatoRegistraPrescrizioniFarmaceuticheErogate()

  - ### Method Detail

    - #### getCodMinisteriale

          public java.lang.String getCodMinisteriale()

      Recupera il valore della proprietà codMinisteriale.
      Returns:
        possible object is `String`

    - #### setCodMinisteriale

          public void setCodMinisteriale(java.lang.String value)

      Imposta il valore della proprietà codMinisteriale.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumLotto

          public long getNumLotto()

      Recupera il valore della proprietà numLotto.

    - #### setNumLotto

          public void setNumLotto(long value)

      Imposta il valore della proprietà numLotto.

    - #### getCodNota

          public java.lang.String getCodNota()

      Recupera il valore della proprietà codNota.
      Returns:
        possible object is `String`

    - #### setCodNota

          public void setCodNota(java.lang.String value)

      Imposta il valore della proprietà codNota.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlagSostituito

          public int getFlagSostituito()

      Recupera il valore della proprietà flagSostituito.

    - #### setFlagSostituito

          public void setFlagSostituito(int value)

      Imposta il valore della proprietà flagSostituito.